Bug 1253282 - (noakonadi) Package kdepim-noakonadi into package repositories
Package kdepim-noakonadi into package repositories
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kdepim (Show other bugs)
rawhide
All All
unspecified Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
http://atrey.karlin.mff.cuni.cz/~pali...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-13 08:07 EDT by Juha Tuomala
Modified: 2016-09-26 10:49 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-26 10:49:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juha Tuomala 2015-08-13 08:07:00 EDT
Description of problem:

KDE Akonadi is a great concept in theory. Access and cache all PIM-related information in consistent, common way.

Apart from theory, its implementation has issues. Meanwhile, many of us use KDE for work, our incomes depend on working tools and we cannot wait and be testbed for something that doesn't have high priority by its developers.

Someone has made a version of KDE PIM that doesn't depend on Akonadi. Please package and provide it into KDE repositories:

  https://launchpad.net/~pali/+archive/ubuntu/kdepim-noakonadi

  http://atrey.karlin.mff.cuni.cz/~pali/blog/2013-04-18-kdepim-without-akonadi.html

"Some info about this version of KDEPIM:
http://atrey.karlin.mff.cuni.cz/~pali/blog/2013-04-18-kdepim-without-akonadi.html

Source code of my modified KDEPIM 4.4 is in this git repository:
http://quickgit.kde.org/?p=clones/kdepim/pali/kdepim-noakonadi.git

If you want to support my work on this KMail version, donate:
https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=JGLR43QD9NEGG

"

Bug reporter doesn't know how up to date that git repo is, but at time of writing, latest changes appear to be 2015-03-07. And it has been recently referred in Freenode so most likely it still works.
Comment 1 Rex Dieter 2015-08-13 08:13:11 EDT
Requirements:

* Must be parallel-installable with all existing fedora packages (including kdepim)

* Find someone willing to maintain this (in fedora), and serve as liason with upstream (as well as other usual package maintainer duties).   (full disclosure: personally, I'm not able or interested)


Normally, those requirements would be satsified during a normal package review.
Comment 2 Rex Dieter 2016-09-26 10:49:20 EDT
I'm going ahead and closing this, if anyone is able and willing to submit something for review that satisfied at least the requirements of comment #1, I'd be happy to facilitate it's review.

Note You need to log in before you can comment on or make changes to this bug.